%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Smartcard Terminal Tnterface
Name:		openct
Version:	0.6.8
Release:	%mkrel 2

License:	LGPL
URL:		http://www.opensc.org
Source0:	http://www.opensc.org/files/%{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires:	pcsc-lite-devel flex libusb-devel
BuildRequires:	libltdl-devel udev-tools
Requires:	%{lib_name} = %{version}
Group:		System/Servers
Requires(pre):  rpm-helper
Requires(post): rpm-helper

%description
This is OpenCT, a middleware framework for smart card terminals.

Currently, OpenCT supports the following set of card terminals
and USB tokens:

 -      Towitoko serial readers
 -      Kobil Kaan Professional (including PIN pad support)
 -      Aladdin eToken
 -      Rainbow iKey 3000
 -      Cryptoflex eGate
 -      Eutron Cypto-Identity ITSEC

More drivers are currently under development.

%package	-n %{lib_name}
Group:		System/Libraries
Summary:	Library for accessing Smartcards
Provides: libopenct = %{version}-%{release}
# major 0 was wrong
Obsoletes: libopenct0 <= 0.6.6-4mdk
Obsoletes: libopenct <= 0.6.6-4mdk

%description	-n %{lib_name}
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %{name}-devel package.

%package	-n %{lib_name}-devel
Requires:	%{lib_name} = %{version}
Group:		System/Libraries
Summary:	Supplementary files for developing %{name} applications
Provides: 	libopenct-devel = %{version}-%{release}
Obsoletes:	libopenct0-devel <= 0.6.6-4mdk
Obsoletes:	libopenct-devel <= 0.6.6-4mdk

%description	-n %{lib_name}-devel
Header files, static libraries, and documentation for %{name}.

%prep
%setup -q 

%build
%configure2_5x --with-pcsc --without-bundle-dir --localstatedir=%{_var}
make

%check
make -k check

%install
rm -rf %{buildroot}
%makeinstall_std 
install -d %{buildroot}/%{_sysconfdir}/hotplug/usb
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_var}/run/openct
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/openct.conf %{buildroot}/%{_sysconfdir}

perl -pi -e "s|#! /bin/sh|#! /bin/sh\n#\n# This shell script takes care of starting and stopping\n# openct server\n#\n# chkconfig: 345 39 50\n# description: Smartcard Terminal Tnterface|" %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script 
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script %{buildroot}/%{_initrddir}/%{name}

install -d -m755 %{buildroot}%{_sysconfdir}/udev/rules.d
perl -pi -e 's!/etc/hotplug/usb/%{name}!%{name}!' etc/openct.udev
install -m 0644 etc/openct.udev %{buildroot}%{_sysconfdir}/udev/rules.d/70-%{name}.rules
install -d -m755 %{buildroot}/%{_lib}/udev/
install -m755 etc/hotplug.openct %{buildroot}/%{_lib}/udev/%{name}

# reference to home or tmp
rm -rf %{buildroot}/%{_libdir}/libifd.la

%clean
rm -rf %{buildroot}

%preun 
%_preun_service openct

%post 
%_post_service openct

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files
%defattr(-,root,root)
%doc NEWS TODO LGPL-2.1
%doc doc/
%{_bindir}/*
%{_sbindir}/*
%{_var}/run/*
%{_mandir}/man1/*
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/openct.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/70-%{name}.rules
/%{_lib}/udev/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Fri Nov 10 2006 Texstar <texstar@houston.rr.com> 0.6.8-2pclos2007
- Build for PCLinuxOS 2007

